import java.io.File;
import java.io.IOException;
import java.util.Scanner;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * Created by thook on 10/7/15.
 */
public class HamletParser {

    private String hamletData;

    public HamletParser(){
        this.hamletData = loadFile();
    }

    private String loadFile(){
        ClassLoader classLoader = getClass().getClassLoader();
        File file = new File(classLoader.getResource("hamlet.txt").getFile());
        StringBuilder result = new StringBuilder("");

        try(Scanner scanner = new Scanner(file)){
            while(scanner.hasNextLine()){
                String line = scanner.nextLine();
                result.append(line).append("\n");
            }

            scanner.close();
        }catch(IOException e){
            e.printStackTrace();
        }

        return result.toString();
    }

    public static int changeHamletToLeon(String line){

        int count=0;
        Pattern patternHamlet =Pattern. compile("\\bHamlet\\b",Pattern.CASE_INSENSITIVE);
        Matcher m1=patternHamlet.matcher(line);

        String str1=((Matcher) m1).replaceAll("Leon");

        Matcher m11=patternHamlet.matcher(str1);

        while(m11.find())

        {
            count++;
        }
        return count;
    }

    public static int changeHoratioToTariq(String line) {

        int count=0;

        Pattern patternHoratio =Pattern.compile("\\bHoratio\\b",Pattern.CASE_INSENSITIVE);

        Matcher m2=patternHoratio.matcher(line);

        String str2=((Matcher) m2).replaceAll("Tariq");

        Matcher m22=patternHoratio.matcher(str2);

        while(m22.find())

        {
            count++;

        }

        return count;
    }


    public String getHamletData()

    {
        return hamletData;

    }

    public int FindHoratio()

    {
        int count=0;

        Pattern patternHoratio =Pattern.compile("\\bHoratio\\b",Pattern.CASE_INSENSITIVE);

        Matcher m2=patternHoratio.matcher(hamletData);

        while(m2.find())

        {
            count++;
        }

        return count;

    }

    public int FindHamlet()

    {
        int count=0;

        Pattern patternHamlet =Pattern.compile("\\bHamlet\\b",Pattern.CASE_INSENSITIVE);

        Matcher m2=patternHamlet.matcher(hamletData);

        while(m2.find())

        {
            count++;

        }

        return count;

    }



    public static void main(String[] args) {

        HamletParser hamletParser=new HamletParser();
    }


}
