import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import static org.junit.Assert.*;

public class HamletParserTest {

    private String hamletText;
    private HamletParser hamletParser;

    @Before
    public void setUp() {
        this.hamletParser = new HamletParser();
        this.hamletText = hamletParser.getHamletData();
    }

    @Test
    public void testChangeHamletToLeonCount() {

        int expected =0;
        int actual=hamletParser.changeHamletToLeon(hamletText);
        assertEquals(expected, actual);

    }


    @Test
    public void testChangeHoratioToTariqCount() {
        int expected=0;
        int actual=hamletParser.changeHoratioToTariq(hamletText);
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHoratio() {
        int expected=158;
        int actual=hamletParser.FindHoratio();
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testFindHamlet() {
        int expected=471;
        int actual=hamletParser.FindHamlet();
        Assert.assertEquals(expected, actual);
    }
}